SDL Library Documentation
Prev |  | Next

# SDL_CondWait

## Name

SDL_CondWait -- Wait on a condition variable

## Synopsis

    #include "SDL.h"
    #include "SDL_thread.h"

``int SDL_CondWait`(SDL_cond *cond, SDL_mutex *mut);`

## Description

Wait on the condition variable `cond` and unlock the provided mutex. The mutex must the locked before entering this function. Returns 0 when it is signalled, or -1 on an error.

## See Also

`SDL_CondWaitTimeout`, `SDL_CondSignal`, `SDL_mutexP`

Prev | Home | Next
SDL_CondBroadcast | Up | SDL_CondWaitTimeout